package cz.jzitnik.game.items.types;

import cz.jzitnik.game.items.strategy.SwordStrategy;
import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public non-sealed class Sword implements ItemType<Sword> {
    protected int damageDeal;

    public final Class<Sword> getItemType() {
        return Sword.class;
    }

    public SwordStrategy getStrategy() {
        return new SwordStrategy(this);
    }
}
